%global repo dde-network-core
%global __provides_exclude_from ^%{_libdir}/*/modules/.*\\.so$

Name:           deepin-network-core
Version:        2.0.26
Release:        %autorelease
Summary:        DDE network library and plugins
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-network-core
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(DtkWidget)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Help)

BuildRequires:  cmake(KF5NetworkManagerQt)

BuildRequires:  cmake(DdeControlCenter)
BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DdeDock)
BuildRequires:  cmake(DdeSessionShell)
BuildRequires:  cmake(GTest)

BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gsettings-qt)

Requires:       %{name}-lib%{?_isa} = %{version}-%{release}
# provides %%{_var}/lib/polkit-1/localauthority/10-vendor.d
Requires:       polkit-pkla-compat

%description
This package provides %{summary}.

%package lib
Summary:        Shared library for %{name}

%description lib
This package provides shared library %{name}.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}-lib%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}

sed -i 's|lib/dde-dock|${CMAKE_INSTALL_LIBDIR}/dde-dock|' dock-network-plugin/CMakeLists.txt
sed -i 's|lib/dde-session-shell|${CMAKE_INSTALL_LIBDIR}/dde-session-shell|' dss-network-plugin/CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install
%find_lang dcc-network-plugin --with-qt
%find_lang dock-network-plugin --with-qt
%find_lang dss-network-plugin --with-qt
rm %{buildroot}%{_datadir}/dde-control-center/translations/dcc-network-plugin.qm
rm %{buildroot}%{_datadir}/dock-network-plugin/translations/dock-network-plugin.qm
rm %{buildroot}%{_datadir}/dss-network-plugin/translations/dss-network-plugin.qm

%files -f dcc-network-plugin.lang -f dock-network-plugin.lang -f dss-network-plugin.lang
%{_libdir}/dde-dock/
%{_libdir}/dde-session-shell/
%{_libdir}/dde-control-center/modules/libdcc-network-plugin.so
%{_datadir}/dsg/
%{_var}/lib/polkit-1/localauthority/10-vendor.d/10-network-manager.pkla

%files lib
%{_libdir}/libdde-network-core.so.2*

%files devel
%{_includedir}/libddenetworkcore/
%{_libdir}/libdde-network-core.so
%{_libdir}/pkgconfig/%{repo}.pc

%changelog
%autochangelog
